View Issue Details

IDProjectCategoryView StatusLast Update
0002287Ham Radio DeluxeBugpublic2018-06-13 09:13
ReporterKB3NPH 
Assigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.843 
Summary0002287: Ticket #389710 - HRD remote server will not start
DescriptionCustomer reports that the HRD Remote Server service will not start. He's running Windows 7 Pro, 64-bit. Did a remote into customer's computer to troubleshoot the issue. Attempted to start the server via the HRD GUI and from the Admin Services options and when attempting to start always get the Error 1053 "Service failed to start in a timely manner".

I uninstalled the service and removed it from the registry, and rebooted the computer. Checked after reboot and the service was not installed. Opened the Remote Server configuration screen from the Tools menu in Rig Control and clicked "Install" and checked to make sure it installed in the Windows Services menu, which it did. Went back to the GUI and clicked "Start" and almost immediately got the 1053 error screen. See attached image for error screen.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleVarious
Testing Beta Successful

Relationships

Activities

KB3NPH

2017-12-01 13:49

administrator  

PD9FER

2017-12-29 03:56

viewer   ~0004293

I can replicate on my machines.
Also happening at a lot of customers.
This must be a Prio 1 on the FIX list

PD9FER

2017-12-29 07:38

viewer   ~0004294

Ticket 967313

PD9FER

2018-01-02 12:11

viewer   ~0004295

Ticket #496159

K7ZCZ

2018-05-22 18:24

manager   ~0005087

addressed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4130

K7ZCZ

2018-05-22 18:46

manager   ~0005089

Related setup fixes in this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4131

K7ZCZ

2018-05-24 13:13

manager   ~0005108

Last bit of the fix completed with these changes to setup
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4128

g3ypp

2018-05-29 11:34

viewer   ~0005134

I have not had this problem with recent releases, and regularly remote in to my rig.

842 - I can start and stop remote server, change configuration etc. Can remote in to rig without problem.
Running Windows 10 64 bit release 1803

g3ucq

2018-05-29 14:50

viewer   ~0005137

AS in 0002650. I can start and stop the server but do not use a remote rig.

WA9PIE

2018-05-29 15:21

administrator   ~0005143

I've never had this problem either. But it works as expected here.

Issue History

Date Modified Username Field Change
2017-12-01 13:49 KB3NPH New Issue
2017-12-01 13:49 KB3NPH File Added: Remote Server Not Starting.jpg
2017-12-29 03:56 PD9FER Note Added: 0004293
2017-12-29 07:38 PD9FER Note Added: 0004294
2018-01-02 12:11 PD9FER Note Added: 0004295
2018-05-22 18:24 K7ZCZ Note Added: 0005087
2018-05-22 18:46 K7ZCZ Note Added: 0005089
2018-05-24 13:13 K7ZCZ Assigned To => K7ZCZ
2018-05-24 13:13 K7ZCZ Status new => resolved
2018-05-24 13:13 K7ZCZ Resolution open => fixed
2018-05-24 13:13 K7ZCZ Note Added: 0005108
2018-05-24 13:13 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-05-26 23:28 K7ZCZ Fixed in Version => 6.4.0.842
2018-05-29 11:34 g3ypp Note Added: 0005134
2018-05-29 14:50 g3ucq Note Added: 0005137
2018-05-29 15:21 WA9PIE Note Added: 0005143
2018-05-29 15:21 WA9PIE Status resolved => closed
2018-05-29 15:21 WA9PIE Testing Not Started => Beta Successful
2018-06-13 09:13 WA9PIE Fixed in Version 6.4.0.842 => 6.4.0.843
2018-06-13 09:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe